---
- name: Copy packages install script to the head node
  ansible.builtin.copy:
    src: files/install-packages.sh
    dest: /root/install-packages.sh
    mode: '0755'  # Ensure the script is executable

- name: Execute the packages install script on the head node
  ansible.builtin.command: /root/install-packages.sh

- name: Push install packages script to S3 bucket for compute nodes
  amazon.aws.s3_object:
    bucket: "{{ resource_bucket }}"
    object: install-packages.sh
    src: files/install-packages.sh
    mode: put
    permission: public-read # Needs to be public
  delegate_to: localhost
  become: false
